Page MenuHomePhabricator

ToC: Load 50 topic titles, then 50 titles as user scrolls down (ToC v2, might already be done)
Closed, ResolvedPublic

Description

The current number of topic titles appearing in the ToC before loading is too small; you get a lot of loading indicators as you scroll.

Right now, we're loading 20 titles initially, and then updating with 10 titles loading as the user scrolls.

I'd like to try 50 topic titles initially, and then updating with 50 additional titles after that.

If performance is a problem, we can scale those numbers down a step.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterAlso scroll the TOC when it is toggled

Event Timeline

DannyH created this task.Jan 6 2015, 7:19 PM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH moved this task to Ready for next sprint on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
DannyH triaged this task as Medium priority.Jan 8 2015, 10:40 PM
DannyH set Security to None.
DannyH renamed this task from ToC: Load 100 topic titles, then 50 titles as user scrolls down to ToC: Load 100 topic titles, then 50 titles as user scrolls down (ToC v2, might already be done).Jan 9 2015, 12:44 AM

Change 183386 had a related patch set uploaded (by Mattflaschen):
Also scroll the TOC when it is toggled

https://gerrit.wikimedia.org/r/183386

Patch-For-Review

DannyH renamed this task from ToC: Load 100 topic titles, then 50 titles as user scrolls down (ToC v2, might already be done) to ToC: Load 50 topic titles, then 50 titles as user scrolls down (ToC v2, might already be done).Jan 9 2015, 7:39 PM
DannyH closed this task as Resolved.
DannyH updated the task description. (Show Details)

Change 183386 merged by jenkins-bot:
Also scroll the TOC when it is toggled

https://gerrit.wikimedia.org/r/183386